
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 通联商家提现申请
 * @author TRACK
 */
public class AllinpayShopWithdrawCashDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "绑定银行卡号")
    private String bankCardNo;

    @Schema(description = "提现金额")
    private Long amount;

    @Schema(description = "提现订单号")
    private String bizOrderNo;

    @Schema(description = "短信验证码")
    private String verificationCode;

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public String getBizOrderNo() {
        return bizOrderNo;
    }

    public void setBizOrderNo(String bizOrderNo) {
        this.bizOrderNo = bizOrderNo;
    }

    public String getVerificationCode() {
        return verificationCode;
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    @Override
    public String toString() {
        return "AllinpayShopWithdrawCashDTO{" +
                "bankCardNo='" + bankCardNo + '\'' +
                ", amount=" + amount +
                ", bizOrderNo='" + bizOrderNo + '\'' +
                ", verificationCode='" + verificationCode + '\'' +
                '}';
    }
}
